<template>
  <div class="w-full h-full flex bussinessbg">
    <div class="charglink" @click="toSf">机电工作台</div>
    <div class="flex flex-col" :style="{ width: '420px' }">
      <WayFilter class="selectBox"/>
      <BaseStruct />
      <BaseStructinfo />
      <baseStructinfo2 />
    </div>
    <div class="flex flex-col" :style="{ width: 'calc(100% - 840px)' }">
      <div class="curingcenter"  :loading="loading">
        <layerpoint  />

        <!-- <MapView /> -->  
        <!-- <PopupDialog /> -->
      </div> 
    </div>
    <div class="flex flex-col" :style="{ width: '420px' }">
      <CuringStat  class="flex-grow h-3/5"/>
      <PersonStat  class="flex-grow h-2/5"  />
    </div>
  </div>
</template>

<script lang="ts" setup>
import WayFilter from "./component/wayFilter.vue";
import BaseStruct from "./component/baseStruct.vue";
import BaseStructinfo from "./component/baseStructinfo.vue";
import baseStructinfo2 from "./component/baseStructinfo2.vue";
import layerpoint from "./component/layerpoint.vue";
import CuringStat from "./component/curingStat.vue";
import PersonStat from "./component/personstat.vue";

import { useRequest } from "vue-request";
import { computed, onMounted, nextTick, reactive,ref } from "vue";
import { getSectionInfo, getMaintainStaffInfo } from "@/api/curingManage";
import { useStore } from "vuex";
import { key } from "@/store";
import { getLinke } from "@/api/chargeInfo.js";
import { generateKey } from "@/api/operation";

const store = useStore(key);
let loading=ref(true)

 
const toSf = async (val: any) => {
  generateKey().then((res) => {
    window.open(`http://183.64.175.153:8891/?tokenKey=${res.data}#/`);
  });
};
</script>
<style scoped>
.bussinessbg {
  background: url("@/assets/images/app-bg.jpg");
  background-size: 100% 100%;
  padding-top: 50px;
}
.curingcenter {
  width: 100%;
  height: 100%;
  position: relative;
}
.charglink {
  position: absolute;
  top: 10px;
  right:300px;
  width: 96px;
  height: 34px;
  background: url("@/assets/images/ChargeInfo/sfgzttz.png");
  background-size: 100% 100%;
  font-size: 13px;
  text-align: center;
  line-height: 34px;
  z-index: 999;
  cursor: pointer;
}
.road {
  position: absolute;
  left: 470px;
  top: 200px;
  z-index: 1;
}
.selectBox{
  position: absolute;
  top: 10px;
  z-index: 99;
}
</style>
